import React from 'react'
import styles from './index.module.scss'
import { baseFormData, topSearch } from '@/pages/Zother/data'
import { useSelector } from 'react-redux'
import { RootState } from '@/store'
import TableList from '@/pages/Zother/TableList'
import { B1_APIgetList } from '@/store/action/Benter/B1collect'
import { baseTableC } from '@/utils/tableData'

const B1search = topSearch('征集')

const B1baseFormData = baseFormData()

function B1collect() {
  // 从仓库拿数据
  const tableInfo = useSelector((state: RootState) => state.B1collect.tableInfo)

  return (
    <div className={styles.B1collect}>
      <div className='pageTitle'>藏品征集</div>

      <TableList
        baseFormData={B1baseFormData}
        getListAPI={B1_APIgetList}
        pageKey='collect'
        tableInfo={tableInfo}
        columnsTemp={baseTableC('征集')}
        yHeight={585}
        searchDom={B1search}
      />
    </div>
  )
}

const MemoB1collect = React.memo(B1collect)

export default MemoB1collect
